import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
import LinkBasic from '@schibstedspain/sui-link-basic';
export default function ListLink(_ref) {
  var displayInline = _ref.displayInline,
      _ref$list = _ref.list,
      list = _ref$list === void 0 ? [] : _ref$list,
      useReactRouterLinks = _ref.useReactRouterLinks;

  var renderLink = function renderLink(item, index) {
    var classListItem = cx('sui-ListLink-item', {
      'sui-ListLink-item--inline': displayInline
    });
    return React.createElement("li", {
      className: classListItem,
      key: index
    }, React.createElement(LinkBasic, Object.assign({}, item, {
      useReactRouterLinks: useReactRouterLinks
    })));
  };

  return React.createElement("ul", {
    className: "sui-ListLink"
  }, list.map(renderLink));
}
ListLink.displayName = 'ListLink';